Bug 68031 - webalizer complains about missing dns_cache.db
webalizer complains about missing dns_cache.db
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: webalizer (Show other bugs)
7.3
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-05 11:51 EDT by Boris Folgmann
Modified: 2008-05-01 11:38 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Folgmann 2002-07-05 11:51:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.0.0) Gecko/20020611

Description of problem:
I used webalizer with the unchanged standard config and received the message

/etc/cron.daily/00webalizer:

Error: Unable to open DNS cache file /var/lib/webalizer/dns_cache.db

in the daily mail from Anacron (Subject Anacron job 'cron.daily')


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install webalizer (on a machine with apache)
2. Don't change /etc/webalizer.conf
3. Execute /etc/cron.daily/00webalizer


Actual Results:  webalizer complains: Error: Unable to open DNS cache file
/var/lib/webalizer/dns_cache.db

Expected Results:  No error message

Additional info:

Fix: change /etc/webalizer.conf
Set DNSChildren to 10 or something similar
Commenting out DNSCache may also help, but you have to decide, if the standard
config should do DNS caching or not. I would say yes.
Comment 1 Ngo Than 2002-07-12 09:49:47 EDT
it's fixed in 2.01_10-9. You find it in the rawhide
Comment 2 Carl T. Miller 2002-08-16 08:28:45 EDT
Where can I find the rawhide files where this update is available?
Comment 3 Stephen John Smoogen 2002-10-16 09:15:57 EDT
Since rawhide now reflects 8.0 and not 7.3 (ie different glibc and gcc) I think
this should be an errata as the program does not work out of the box.
Comment 4 Stephen John Smoogen 2002-10-16 09:25:14 EDT
To get the one from 8.0 backported to 7.3 I needed to make the following changes
to the spec file. The LANL fluff is there to just differentiate it from a
default Red Hat build and that it is for 7.3 machines.

smoogen:{SPECS}$ diff -u webalizer.spec webalizer.spec.~1~ 
--- webalizer.spec	Wed Oct 16 07:20:11 2002
+++ webalizer.spec.~1~	Tue Jul  2 06:28:17 2002
@@ -1,10 +1,9 @@
 %define ver 2.01
 %define patchlevel 10
-%define lanl_release LANL_rhl73
 Name: webalizer
 Summary: A flexible Web server log file analysis program.
 Group: Applications/Internet
-Version: %{ver}_%{patchlevel}_%{lanl_release}
+Version: %{ver}_%{patchlevel}
 Release: 9
 Source0:
ftp://ftp.mrunix.net/pub/webalizer/%{name}-%{ver}-%{patchlevel}-src.tar.bz2
 Source1: webalizer.conf
@@ -14,7 +13,7 @@
 URL: http://www.mrunix.net/webalizer/
 License: GPL
 Buildroot: %{_tmppath}/%{name}-root
-BuildPrereq: gd-devel, zlib-devel, libpng-devel, db3-devel
+BuildPrereq: gd-devel, zlib-devel, libpng-devel, db4-devel
 Prereq: shadow-utils, fileutils
 
 %description
@@ -30,7 +29,7 @@
 %patch1 -p1 -b .db1
 
 %build
-CPPFLAGS="-I%{_includedir}/db3" ; export CPPFLAGS
+CPPFLAGS="-I%{_includedir}/db4" ; export CPPFLAGS
 CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS" ; export CFLAGS
 %configure --enable-dns --with-dblib=/lib
Comment 5 Ngo Than 2002-11-07 15:56:59 EST
I built 2.01_10-2 for 7.3 including all fixes.

I don't want to make errata now, but you can download it from
ftp:/people.redhat.com/than/7.3/
Comment 6 David Kaplan 2003-02-28 19:59:12 EST
I am running Redhat 8.0 and webalizer-2.01_10-10 and I had the same problem as
above (it started when I updated to 8.0).  The only solution I found was to move
away the old dns_cache.db file and webalizer.current and rerun.  It seems like
there might be some sort of incompatibility between db versions???

I still have to old dns_cache.db file if you would like to examine it.

Since I have had this bug, I think it should be reopened.
Comment 7 Bill Nottingham 2006-08-04 23:48:44 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 8 Bill Nottingham 2006-10-18 10:31:23 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.